<wicket:extend xmlns:wicket="http://wicket.apache.org">

    <h2 class="page-header">Používateľ</h2>

    <div class="row">
        <div class="col-xs-12">
            <p>
                Administrácia používateľa slúži na pridávanie nových používateľov a modifikovanie existujúcich.
                Na pridanie nového používateľa slúži icona <i class="fa fa-fw fa-plus" aria-hidden="true"></i>,
                icona <i class="fa fa-fw fa-check" aria-hidden="true"></i> znázorňuje aktívneho používateľa.
                Odstránením sa používateľ iba deaktivuje <i class="fa fa-fw fa-trash" aria-hidden="true"></i>.
            </p>
        </div>
    </div>

    <div class="row">
        <!-- formular pre zalozenie/editacia -->
        <div class="col-xs-4" wicket:id="userDiv">
            <form wicket:id="userForm">
                <div class="form-group">
                    <label for="login">Login</label>
                    <input id="login" wicket:id="login" type="text" class="form-control"/>
                </div>
                <div class="form-group">
                    <label for="meno">Meno</label>
                    <input id="meno" wicket:id="meno" type="text" class="form-control"/>
                </div>
                <div class="form-group">
                    <label for="priezvisko">Priezvisko</label>
                    <input id="priezvisko" wicket:id="priezvisko" type="text" class="form-control"/>
                </div>
                <div class="form-group">
                    <label for="mail">Mail</label>
                    <input id="mail" wicket:id="mail" type="text" class="form-control"/>
                </div>
                <div class="form-group">
                    <label for="rola">Rola</label><br/>
                    <span wicket:id="zoznamRoly"/>
                </div>

                <button type="submit" class="btn btn-default">Spracovať</button>
            </form>
        </div>

        <!--zoznam -->
        <div class="col-xs-8" style="height:250px;overflow-y: auto;" wicket:id="useriDiv">
            <table class="table">
                <thead>
                <tr>
                    <th>
                        <span wicket:id="pridajLink"
                              class="fa fa-fw fa-plus"
                              style="cursor: pointer"
                              aria-hidden="true"
                              title="Vyčistí spracovateľský formulár"></span>
                    </th>
                    <th>Login</th>
                    <th>Mail</th>
                    <th>Celé meno</th>
                    <th>Rola</th>
                </tr>
                </thead>
                <tbody>
                <tr wicket:id="userRiadok">
                    <td>
                        <span wicket:id="iconStatus"></span>
                    </td>
                    <td wicket:id="login">login</td>
                    <td wicket:id="mail">mail@mail.sk</td>
                    <td wicket:id="menoPriezvisko">Meno Priezvisko</td>
                    <td wicket:id="rola">TIPER</td>
                    <td>
                    <span wicket:id="akcieDiv">
                        <a wicket:id="zmenitLink" title="Zmena používateľa">zmeniť</a>    |
                        <a wicket:id="odstranitLink" title="Odstránenie používateľa">odstrániť</a>
                    </span>
                        <a wicket:id="aktivovatLink" title="Aktivácia odstráneného používateľa">aktivovať</a>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>

    <!-- modalne okno pre potvrdenie akcie -->
    <div wicket:id="potvrdenieModalDialogDiv">
        <div wicket:id="potvrdenieModalDialog">potvrdenie akcie</div>
    </div>

</wicket:extend>